Kerbal Space Program - Bug #1173

SAS does not maintain attitude in docking mode
08/01/2013 06:51 PM - chaos_forge

Status: Closed Start date: 08/01/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.21.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

This bug can be reproduced using any craft with unbalanced RCS and sufficient control authority.

How to reproduce:

1) Launch the your craft with "Hack Gravity" from the debug menu activated, activate SAS and RCS.

2) In docking (LIN) mode, press "W" to thrust forward, and note how the craft tips up from the thrust imbalance, but more slowly than
when SAS is disabled.

3) Release "W". Note how the craft stays in the changed heading. It appears as if the SAS was in "Damping" mode the whole time.
4) Switch to staging mode. With SAS and RCS enabled, press "H", and note how the craft maintains its heading without a problem.

Notes:

1) | believe this bug stems from a problem in the way that the SAS logic handles input, because "W" is also mapped to a rotational
control.

2) When "thrust forward" is mapped to a different key ("Y" for example), this does not happen.

3) | believe that [b]this[/b] is the bug that is causing some players to declare that docking mode is unusable now, and therefore
should be fixed as soon as possible.

This bug has been verified by sal_vager. Thank you for your time.

History

#1 - 08/01/2013 09:33 PM - hermes47
- Severity changed from Critical to High

#2 - 08/16/2013 10:15 AM - Ted
- Category set to Gameplay

#3 - 11/17/2015 03:01 PM - sal_vager

- Status changed from Confirmed to Resolved
- Severity changed from High to Low

- % Done changed from 10 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Also, finecontrol of RCS thrust has since been added to deal with this issue.

Asymmetric RCS will cause issues with SAS due to changes in how SAS functions.

#4 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
